Retrieve a link
curl --request GET \
--url https://api.linkutm.com/api/v1/links/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkutm.com/api/v1/links/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkutm.com/api/v1/links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/links/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linkutm.com/api/v1/links/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/links/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "https://acme.com/pricing",
"shortCode": "spring-sale",
"title": "Spring campaign",
"description": "<string>",
"utmSource": "newsletter",
"utmMedium": "email",
"utmCampaign": "spring-2026",
"utmTerm": "<string>",
"utmContent": "<string>",
"customUtmParams": {},
"hasPassword": true,
"expiresAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"schedulingTimezone": "Asia/Kolkata",
"fallbackUrl": "<string>",
"clickLimit": 1000,
"clicks": 42,
"lastClickAt": "2023-11-07T05:31:56Z",
"iosUrl": "<string>",
"androidUrl": "<string>",
"geoTargets": {
"US": "https://acme.com/us",
"IN": "https://acme.com/in"
},
"geoTargetingEnabled": true,
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImage": "<string>",
"favicon": "<string>",
"comments": "<string>",
"qrCodeEnabled": true,
"qrFgColor": "#000000",
"qrBgColor": "#ffffff",
"qrSize": 512,
"qrDesign": {},
"cloakingEnabled": true,
"archived": true,
"isActive": true,
"deletedAt": "2023-11-07T05:31:56Z",
"safetyStatus": "safe",
"safetyCheckedAt": "2023-11-07T05:31:56Z",
"safetyReason": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"tag": {
"id": "<string>",
"name": "paid-social",
"color": "#f97316"
}
}
],
"pixels": [
{
"pixelId": "<string>"
}
],
"domain": {
"id": "<string>",
"domain": "go.acme.com",
"verified": true
}
}{
"statusCode": 400,
"message": "Link ID must be a valid UUID",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Please upgrade your plan to create more links.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Link not found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal server error"
}Links
Retrieve a link
Retrieve a link by ID.
GET
/
links
/
{id}
Retrieve a link
curl --request GET \
--url https://api.linkutm.com/api/v1/links/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.linkutm.com/api/v1/links/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.linkutm.com/api/v1/links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkutm.com/api/v1/links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linkutm.com/api/v1/links/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linkutm.com/api/v1/links/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkutm.com/api/v1/links/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "https://acme.com/pricing",
"shortCode": "spring-sale",
"title": "Spring campaign",
"description": "<string>",
"utmSource": "newsletter",
"utmMedium": "email",
"utmCampaign": "spring-2026",
"utmTerm": "<string>",
"utmContent": "<string>",
"customUtmParams": {},
"hasPassword": true,
"expiresAt": "2023-11-07T05:31:56Z",
"scheduledAt": "2023-11-07T05:31:56Z",
"schedulingTimezone": "Asia/Kolkata",
"fallbackUrl": "<string>",
"clickLimit": 1000,
"clicks": 42,
"lastClickAt": "2023-11-07T05:31:56Z",
"iosUrl": "<string>",
"androidUrl": "<string>",
"geoTargets": {
"US": "https://acme.com/us",
"IN": "https://acme.com/in"
},
"geoTargetingEnabled": true,
"ogTitle": "<string>",
"ogDescription": "<string>",
"ogImage": "<string>",
"favicon": "<string>",
"comments": "<string>",
"qrCodeEnabled": true,
"qrFgColor": "#000000",
"qrBgColor": "#ffffff",
"qrSize": 512,
"qrDesign": {},
"cloakingEnabled": true,
"archived": true,
"isActive": true,
"deletedAt": "2023-11-07T05:31:56Z",
"safetyStatus": "safe",
"safetyCheckedAt": "2023-11-07T05:31:56Z",
"safetyReason": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domainId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"tag": {
"id": "<string>",
"name": "paid-social",
"color": "#f97316"
}
}
],
"pixels": [
{
"pixelId": "<string>"
}
],
"domain": {
"id": "<string>",
"domain": "go.acme.com",
"verified": true
}
}{
"statusCode": 400,
"message": "Link ID must be a valid UUID",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid or expired API key",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "Please upgrade your plan to create more links.",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "Link not found",
"error": "Not Found"
}{
"statusCode": 500,
"message": "Internal server error"
}Authorizations
ApiKeyAuthBearerAuth
Response
The link.
Full link record as returned by GET /links/{id}, PATCH /links/{id}, DELETE /links/{id} and POST /links/upsert.
The stored password is a bcrypt hash and is never serialised — the boolean hasPassword is returned in its place.